Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### -- (decrement)

Examples

    int a = 5;    // Sets "a" to 5
    int b = a--;  // Sets "b" to 5, then decrements "a" to 4
    int c = a;    // Sets "c" to 4

Description | Substracts the value of an integer variable by 1. Equivalent to the operation i = i - 1. If the value of the variable i is five, then the expression i-- decreases the value of i to 4.

Syntax

    var--

Parameters

var | int

Usage | Web & Application
Related | - (minus) -= (subtract assign) ++ (increment)

Updated on November 22, 2008 08:39:26pm PST